package com.example.bpa.view.mode;

import com.example.bpa.db.mode.BPA_GOODS;
import com.example.bpa.db.mode.BPA_SUBORDER;

import java.util.ArrayList;
import java.util.List;

/**
 * 商品制作列表
 */
public class ResGoodsMake {
    /**
     * 商品数据
     */
    public BPA_GOODS good;
    /**
     * 商品制作配方
     */
    public ArrayList<ResGoodsRecipe> recipes;
    /**
     * 商品订单数据
     */
    public BPA_SUBORDER subOrder;
    /**
     * 制作状态
     */
    public MakeStatus makeStatus;
    /**
     * 制作描述
     */
    public String makeMs;
    /**
     * 制作进度
     */
    public int makeProcess;
    /**
     * 是否可制作
     */
    public boolean IsMake;
    public ResGoodsMake()
    {
        good=new BPA_GOODS();
        subOrder=new BPA_SUBORDER();
        recipes=new ArrayList<>();
        makeStatus=MakeStatus.等待制作;
        makeMs="";
        makeProcess=0;
        IsMake=true;
    }
}

